Delete a file

- « ssh2_sftp_symlink

- ssh2_shell »

- PHP Manual
- SSH2 Functions
- Delete a file

# ssh2_sftp_unlink

(PECL ssh2 >= 0.9.0)

ssh2_sftp_unlink — Delete a file

### Description

ssh2_sftp_unlink(resource `$sftp`, string `$filename`): bool

Deletes a file on the remote filesystem.

### Parameters

`sftp`

  An SSH2 SFTP resource opened by ssh2_sftp().

`filename`

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Deleting a file

    <?php
    $connection = ssh2_connect('shell.example.com', 22);
    ssh2_auth_password($connection, 'username', 'password');
    $sftp = ssh2_sftp($connection);

    ssh2_sftp_unlink($sftp, '/home/username/stale_file');
    ?>

### See Also

- unlink() - Deletes a file